# TextFileQueueBrowser Class Reference

Inheritance diagram for TextFileQueueBrowser:
[legend]

List of all members.

## Public Member Functions

| setQueue (MessageQueue $queue)
| getQueue ()
| getNextMessage ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $queue = null

## Detailed Description

Definition at line 12 of file TextFileQueueBrowser.class.php.

## Member Function Documentation

static TextFileQueueBrowser::create | ( |  | ) | `[static]`

Returns:
  TextFileQueueBrowser

Definition at line 19 of file TextFileQueueBrowser.class.php.

TextFileQueueBrowser::getNextMessage | ( |  | ) |

Returns:
  Message

Implements MessageQueueBrowser.

Definition at line 42 of file TextFileQueueBrowser.class.php.

TextFileQueueBrowser::getQueue | ( |  | ) |

Returns:
  MessageQueue

Definition at line 37 of file TextFileQueueBrowser.class.php.

TextFileQueueBrowser::setQueue | ( | MessageQueue $ | queue | ) |

Returns:
  TextFileQueueBrowser

Definition at line 27 of file TextFileQueueBrowser.class.php.

## Member Data Documentation

TextFileQueueBrowser::$queue = null`[private]`

Definition at line 14 of file TextFileQueueBrowser.class.php.

The documentation for this class was generated from the following file:

- main/Messages/TextFileQueueBrowser.class.php